Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ServiceBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ServiceBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceBeanType<T>

    public class ServiceBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceBeanType<T>

This class implements the `service-beanType` xsd type

Original Documentation:

The service element holds all of the information specific about a service
bean which is a JBoss proprietary extension to EJB3 creating multithreaded, singleton
services. Service beans are the EJB3 analogy for JMX MBeans.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AnnotationType<ServiceBeanType<T>>` | `annotation()` Returns the `annotation` element
`ClusterConfigType<ServiceBeanType<T>>` | `clusterConfig()` If not already created, a new `cluster-config` element will be created and returned.
`EjbLocalRefType<ServiceBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<ServiceBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`SecurityIdentityType<ServiceBeanType<T>>` | `ejbTimeoutIdentity()` If not already created, a new `ejb-timeout-identity` element will be created and returned.
`EnvEntryType<ServiceBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AnnotationType<ServiceBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getBusinessLocalList()` Returns all `business-local` elements
`java.util.List<java.lang.String>` | `getBusinessRemoteList()` Returns all `business-remote` elements
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<ServiceBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<ServiceBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<ServiceBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHomeJndiName()` Returns the `home-jndi-name` element
`java.util.List<IconType<ServiceBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.util.List<JndiRefType<ServiceBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.util.List<LocalBindingType<ServiceBeanType<T>>>` | `getLocalBindingList()` Returns all `local-binding` elements
`java.lang.String` | `getLocalJndiName()` Returns the `local-jndi-name` element
`java.lang.String` | `getManagement()` Returns the `management` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<ServiceBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getObjectName()` Returns the `object-name` element
`java.util.List<PersistenceContextRefType<ServiceBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<ServiceBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<ServiceBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<ServiceBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<RemoteBindingType<ServiceBeanType<T>>>` | `getRemoteBindingList()` Returns all `remote-binding` elements
`java.util.List<ResourceEnvRefType<ServiceBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<ServiceBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.util.List<ServiceRefType<ServiceBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`java.lang.String` | `getXmbean()` Returns the `xmbean` element
`IconType<ServiceBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<ServiceBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`java.lang.Boolean` | `isClustered()` Returns the `clustered` element
`java.lang.Boolean` | `isConcurrent()` Returns the `concurrent` element
`JndiRefType<ServiceBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`LocalBindingType<ServiceBeanType<T>>` | `localBinding()` Returns the `local-binding` element
`MessageDestinationRefType<ServiceBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MethodAttributesType<ServiceBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PersistenceContextRefType<ServiceBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<ServiceBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`PoolConfigType<ServiceBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`PortComponentType<ServiceBeanType<T>>` | `portComponent()` If not already created, a new `port-component` element will be created and returned.
`LifecycleCallbackType<ServiceBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<ServiceBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`RemoteBindingType<ServiceBeanType<T>>` | `remoteBinding()` Returns the `remote-binding` element
`ServiceBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`ServiceBeanType<T>` | `removeAllBusinessLocal()` Removes the `business-local` element
`ServiceBeanType<T>` | `removeAllBusinessRemote()` Removes the `business-remote` element
`ServiceBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`ServiceBeanType<T>` | `removeAllDescription()` Removes the `description` element
`ServiceBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServiceBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`ServiceBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`ServiceBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`ServiceBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServiceBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`ServiceBeanType<T>` | `removeAllLocalBinding()` Removes all `local-binding` elements
`ServiceBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`ServiceBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`ServiceBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`ServiceBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`ServiceBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`ServiceBeanType<T>` | `removeAllRemoteBinding()` Removes all `remote-binding` elements
`ServiceBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`ServiceBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`ServiceBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`ServiceBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`ServiceBeanType<T>` | `removeClusterConfig()` Removes the `cluster-config` element
`ServiceBeanType<T>` | `removeClustered()` Removes the `clustered` element
`ServiceBeanType<T>` | `removeConcurrent()` Removes the `concurrent` element
`ServiceBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`ServiceBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`ServiceBeanType<T>` | `removeEjbTimeoutIdentity()` Removes the `ejb-timeout-identity` element
`ServiceBeanType<T>` | `removeHomeJndiName()` Removes the `home-jndi-name` element
`ServiceBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`ServiceBeanType<T>` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`ServiceBeanType<T>` | `removeJndiName()` Removes the `jndi-name` element
`ServiceBeanType<T>` | `removeLocalJndiName()` Removes the `local-jndi-name` element
`ServiceBeanType<T>` | `removeManagement()` Removes the `management` element
`ServiceBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ServiceBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`ServiceBeanType<T>` | `removeObjectName()` Removes the `object-name` element
`ServiceBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`ServiceBeanType<T>` | `removePortComponent()` Removes the `port-component` element
`ServiceBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`ServiceBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ServiceBeanType<T>` | `removeXmbean()` Removes the `xmbean` element
`ResourceEnvRefType<ServiceBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<ServiceBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<ServiceBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ServiceRefType<ServiceBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`ServiceBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`ServiceBeanType<T>` | `setBusinessLocal(java.lang.String businessLocal)` Creates a new `business-local` element
`ServiceBeanType<T>` | `setBusinessLocalList(java.lang.String... values)` Creates for all String objects representing `business-local` elements, a new `business-local` element
`ServiceBeanType<T>` | `setBusinessRemote(java.lang.String businessRemote)` Creates a new `business-remote` element
`ServiceBeanType<T>` | `setBusinessRemoteList(java.lang.String... values)` Creates for all String objects representing `business-remote` elements, a new `business-remote` element
`ServiceBeanType<T>` | `setClustered(java.lang.Boolean clustered)` If not already created, a new `clustered` element with the given value will be created.
`ServiceBeanType<T>` | `setConcurrent(java.lang.Boolean concurrent)` If not already created, a new `concurrent` element with the given value will be created.
`ServiceBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`ServiceBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`ServiceBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServiceBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServiceBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServiceBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServiceBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`ServiceBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`ServiceBeanType<T>` | `setHomeJndiName(java.lang.String homeJndiName)` If not already created, a new `home-jndi-name` element with the given value will be created.
`ServiceBeanType<T>` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`ServiceBeanType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`ServiceBeanType<T>` | `setLocalJndiName(java.lang.String localJndiName)` If not already created, a new `local-jndi-name` element with the given value will be created.
`ServiceBeanType<T>` | `setManagement(java.lang.String management)` If not already created, a new `management` element with the given value will be created.
`ServiceBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ServiceBeanType<T>` | `setObjectName(java.lang.String objectName)` If not already created, a new `object-name` element with the given value will be created.
`ServiceBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`ServiceBeanType<T>` | `setXmbean(java.lang.String xmbean)` If not already created, a new `xmbean` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBeanTypeImpl

    public ServiceBeanTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceBeanTypeImpl

    public ServiceBeanTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ServiceBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### setDescriptionList

    public ServiceBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ServiceBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllDescription

    public ServiceBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ServiceBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ServiceBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### setDisplayNameList

    public ServiceBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ServiceBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllDisplayName

    public ServiceBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ServiceBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ServiceBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### icon

    public IconType<ServiceBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ServiceBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ServiceBeanType<T>`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public ServiceBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### envEntry

    public EnvEntryType<ServiceBeanType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<ServiceBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `ServiceBeanType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public ServiceBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### ejbRef

    public EjbRefType<ServiceBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<ServiceBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public ServiceBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### ejbLocalRef

    public EjbLocalRefType<ServiceBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<ServiceBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public ServiceBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### resourceRef

    public ResourceRefType<ServiceBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<ServiceBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public ServiceBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### resourceEnvRef

    public ResourceEnvRefType<ServiceBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<ServiceBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public ServiceBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### messageDestinationRef

    public MessageDestinationRefType<ServiceBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<ServiceBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public ServiceBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### persistenceContextRef

    public PersistenceContextRefType<ServiceBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<ServiceBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public ServiceBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### persistenceUnitRef

    public PersistenceUnitRefType<ServiceBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<ServiceBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public ServiceBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### postConstruct

    public LifecycleCallbackType<ServiceBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<ServiceBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `ServiceBeanType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public ServiceBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### preDestroy

    public LifecycleCallbackType<ServiceBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<ServiceBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `ServiceBeanType<T>`
  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    public ServiceBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Specified by:
    `removeAllServiceRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### serviceRef

    public ServiceRefType<ServiceBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Specified by:
    `serviceRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    public java.util.List<ServiceRefType<ServiceBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Specified by:
    `getServiceRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `service-ref`

### setEjbName

    public ServiceBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeEjbName

    public ServiceBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    public ServiceBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeMappedName

    public ServiceBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `mapped-name`

### setBusinessLocal

    public ServiceBeanType<T> setBusinessLocal(java.lang.String businessLocal)

  Creates a new `business-local` element

  Specified by:
    `setBusinessLocal` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### setBusinessLocalList

    public ServiceBeanType<T> setBusinessLocalList(java.lang.String... values)

  Creates for all String objects representing `business-local` elements, a new `business-local` element

  Specified by:
    `setBusinessLocalList` in interface `ServiceBeanType<T>`
  Parameters:
    `list` - of `business-local` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllBusinessLocal

    public ServiceBeanType<T> removeAllBusinessLocal()

  Removes the `business-local` element

  Specified by:
    `removeAllBusinessLocal` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getBusinessLocalList

    public java.util.List<java.lang.String> getBusinessLocalList()

  Returns all `business-local` elements

  Specified by:
    `getBusinessLocalList` in interface `ServiceBeanType<T>`
  Returns:
    list of `business-local`

### setBusinessRemote

    public ServiceBeanType<T> setBusinessRemote(java.lang.String businessRemote)

  Creates a new `business-remote` element

  Specified by:
    `setBusinessRemote` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### setBusinessRemoteList

    public ServiceBeanType<T> setBusinessRemoteList(java.lang.String... values)

  Creates for all String objects representing `business-remote` elements, a new `business-remote` element

  Specified by:
    `setBusinessRemoteList` in interface `ServiceBeanType<T>`
  Parameters:
    `list` - of `business-remote` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllBusinessRemote

    public ServiceBeanType<T> removeAllBusinessRemote()

  Removes the `business-remote` element

  Specified by:
    `removeAllBusinessRemote` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getBusinessRemoteList

    public java.util.List<java.lang.String> getBusinessRemoteList()

  Returns all `business-remote` elements

  Specified by:
    `getBusinessRemoteList` in interface `ServiceBeanType<T>`
  Returns:
    list of `business-remote`

### setEjbClass

    public ServiceBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Specified by:
    `setEjbClass` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeEjbClass

    public ServiceBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Specified by:
    `removeEjbClass` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getEjbClass

    public java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Specified by:
    `getEjbClass` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `ejb-class`

### removeSecurityIdentity

    public ServiceBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### securityIdentity

    public SecurityIdentityType<ServiceBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

### setObjectName

    public ServiceBeanType<T> setObjectName(java.lang.String objectName)

  If not already created, a new `object-name` element with the given value will be created. Otherwise, the existing `object-name` element will be updated with the given value.

  Specified by:
    `setObjectName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeObjectName

    public ServiceBeanType<T> removeObjectName()

  Removes the `object-name` element

  Specified by:
    `removeObjectName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getObjectName

    public java.lang.String getObjectName()

  Returns the `object-name` element

  Specified by:
    `getObjectName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `object-name`

### setManagement

    public ServiceBeanType<T> setManagement(java.lang.String management)

  If not already created, a new `management` element with the given value will be created. Otherwise, the existing `management` element will be updated with the given value.

  Specified by:
    `setManagement` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeManagement

    public ServiceBeanType<T> removeManagement()

  Removes the `management` element

  Specified by:
    `removeManagement` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getManagement

    public java.lang.String getManagement()

  Returns the `management` element

  Specified by:
    `getManagement` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `management`

### setXmbean

    public ServiceBeanType<T> setXmbean(java.lang.String xmbean)

  If not already created, a new `xmbean` element with the given value will be created. Otherwise, the existing `xmbean` element will be updated with the given value.

  Specified by:
    `setXmbean` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeXmbean

    public ServiceBeanType<T> removeXmbean()

  Removes the `xmbean` element

  Specified by:
    `removeXmbean` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getXmbean

    public java.lang.String getXmbean()

  Returns the `xmbean` element

  Specified by:
    `getXmbean` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `xmbean`

### removeAllLocalBinding

    public ServiceBeanType<T> removeAllLocalBinding()

  Removes all `local-binding` elements

  Specified by:
    `removeAllLocalBinding` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### localBinding

    public LocalBindingType<ServiceBeanType<T>> localBinding()

  Returns the `local-binding` element

  Specified by:
    `localBinding` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `local-binding`

### getLocalBindingList

    public java.util.List<LocalBindingType<ServiceBeanType<T>>> getLocalBindingList()

  Returns all `local-binding` elements

  Specified by:
    `getLocalBindingList` in interface `ServiceBeanType<T>`
  Returns:
    list of `local-binding`

### removeAllRemoteBinding

    public ServiceBeanType<T> removeAllRemoteBinding()

  Removes all `remote-binding` elements

  Specified by:
    `removeAllRemoteBinding` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### remoteBinding

    public RemoteBindingType<ServiceBeanType<T>> remoteBinding()

  Returns the `remote-binding` element

  Specified by:
    `remoteBinding` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `remote-binding`

### getRemoteBindingList

    public java.util.List<RemoteBindingType<ServiceBeanType<T>>> getRemoteBindingList()

  Returns all `remote-binding` elements

  Specified by:
    `getRemoteBindingList` in interface `ServiceBeanType<T>`
  Returns:
    list of `remote-binding`

### setJndiName

    public ServiceBeanType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeJndiName

    public ServiceBeanType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setHomeJndiName

    public ServiceBeanType<T> setHomeJndiName(java.lang.String homeJndiName)

  If not already created, a new `home-jndi-name` element with the given value will be created. Otherwise, the existing `home-jndi-name` element will be updated with the given value.

  Specified by:
    `setHomeJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeHomeJndiName

    public ServiceBeanType<T> removeHomeJndiName()

  Removes the `home-jndi-name` element

  Specified by:
    `removeHomeJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getHomeJndiName

    public java.lang.String getHomeJndiName()

  Returns the `home-jndi-name` element

  Specified by:
    `getHomeJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `home-jndi-name`

### setLocalJndiName

    public ServiceBeanType<T> setLocalJndiName(java.lang.String localJndiName)

  If not already created, a new `local-jndi-name` element with the given value will be created. Otherwise, the existing `local-jndi-name` element will be updated with the given value.

  Specified by:
    `setLocalJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeLocalJndiName

    public ServiceBeanType<T> removeLocalJndiName()

  Removes the `local-jndi-name` element

  Specified by:
    `removeLocalJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getLocalJndiName

    public java.lang.String getLocalJndiName()

  Returns the `local-jndi-name` element

  Specified by:
    `getLocalJndiName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `local-jndi-name`

### setJndiBindingPolicy

    public ServiceBeanType<T> setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Specified by:
    `setJndiBindingPolicy` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeJndiBindingPolicy

    public ServiceBeanType<T> removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Specified by:
    `removeJndiBindingPolicy` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getJndiBindingPolicy

    public java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Specified by:
    `getJndiBindingPolicy` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `jndi-binding-policy`

### setClustered

    public ServiceBeanType<T> setClustered(java.lang.Boolean clustered)

  If not already created, a new `clustered` element with the given value will be created. Otherwise, the existing `clustered` element will be updated with the given value.

  Specified by:
    `setClustered` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeClustered

    public ServiceBeanType<T> removeClustered()

  Removes the `clustered` element

  Specified by:
    `removeClustered` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### isClustered

    public java.lang.Boolean isClustered()

  Returns the `clustered` element

  Specified by:
    `isClustered` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `clustered`

### removeClusterConfig

    public ServiceBeanType<T> removeClusterConfig()

  Removes the `cluster-config` element

  Specified by:
    `removeClusterConfig` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### clusterConfig

    public ClusterConfigType<ServiceBeanType<T>> clusterConfig()

  If not already created, a new `cluster-config` element will be created and returned. Otherwise, the existing `cluster-config` element will be returned.

  Specified by:
    `clusterConfig` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `cluster-config`

### setSecurityDomain

    public ServiceBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Specified by:
    `setSecurityDomain` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeSecurityDomain

    public ServiceBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Specified by:
    `removeSecurityDomain` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Specified by:
    `getSecurityDomain` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    public ServiceBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Specified by:
    `removeMethodAttributes` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### methodAttributes

    public MethodAttributesType<ServiceBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Specified by:
    `methodAttributes` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `method-attributes`

### setDepends

    public ServiceBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Specified by:
    `setDepends` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### setDependsList

    public ServiceBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Specified by:
    `setDependsList` in interface `ServiceBeanType<T>`
  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `ServiceBeanType`

### removeAllDepends

    public ServiceBeanType<T> removeAllDepends()

  Removes the `depends` element

  Specified by:
    `removeAllDepends` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getDependsList

    public java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Specified by:
    `getDependsList` in interface `ServiceBeanType<T>`
  Returns:
    list of `depends`

### removeAllAnnotation

    public ServiceBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Specified by:
    `removeAllAnnotation` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### annotation

    public AnnotationType<ServiceBeanType<T>> annotation()

  Returns the `annotation` element

  Specified by:
    `annotation` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    public java.util.List<AnnotationType<ServiceBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Specified by:
    `getAnnotationList` in interface `ServiceBeanType<T>`
  Returns:
    list of `annotation`

### removeIgnoreDependency

    public ServiceBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Specified by:
    `removeIgnoreDependency` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### ignoreDependency

    public IgnoreDependencyType<ServiceBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Specified by:
    `ignoreDependency` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    public ServiceBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Specified by:
    `setAopDomainName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeAopDomainName

    public ServiceBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Specified by:
    `removeAopDomainName` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### getAopDomainName

    public java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Specified by:
    `getAopDomainName` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    public ServiceBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Specified by:
    `removePoolConfig` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### poolConfig

    public PoolConfigType<ServiceBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Specified by:
    `poolConfig` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `pool-config`

### setConcurrent

    public ServiceBeanType<T> setConcurrent(java.lang.Boolean concurrent)

  If not already created, a new `concurrent` element with the given value will be created. Otherwise, the existing `concurrent` element will be updated with the given value.

  Specified by:
    `setConcurrent` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### removeConcurrent

    public ServiceBeanType<T> removeConcurrent()

  Removes the `concurrent` element

  Specified by:
    `removeConcurrent` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### isConcurrent

    public java.lang.Boolean isConcurrent()

  Returns the `concurrent` element

  Specified by:
    `isConcurrent` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `concurrent`

### removeAllJndiRef

    public ServiceBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Specified by:
    `removeAllJndiRef` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### jndiRef

    public JndiRefType<ServiceBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Specified by:
    `jndiRef` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    public java.util.List<JndiRefType<ServiceBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Specified by:
    `getJndiRefList` in interface `ServiceBeanType<T>`
  Returns:
    list of `jndi-ref`

### removePortComponent

    public ServiceBeanType<T> removePortComponent()

  Removes the `port-component` element

  Specified by:
    `removePortComponent` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### portComponent

    public PortComponentType<ServiceBeanType<T>> portComponent()

  If not already created, a new `port-component` element will be created and returned. Otherwise, the existing `port-component` element will be returned.

  Specified by:
    `portComponent` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `port-component`

### removeEjbTimeoutIdentity

    public ServiceBeanType<T> removeEjbTimeoutIdentity()

  Removes the `ejb-timeout-identity` element

  Specified by:
    `removeEjbTimeoutIdentity` in interface `ServiceBeanType<T>`
  Returns:
    the current instance of `ServiceBeanType`

### ejbTimeoutIdentity

    public SecurityIdentityType<ServiceBeanType<T>> ejbTimeoutIdentity()

  If not already created, a new `ejb-timeout-identity` element will be created and returned. Otherwise, the existing `ejb-timeout-identity` element will be returned.

  Specified by:
    `ejbTimeoutIdentity` in interface `ServiceBeanType<T>`
  Returns:
    the node defined for the element `ejb-timeout-identity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD